%define tarname	AppTools
%define name 	python-enthought-apptools
%define version 3.3.1
%define release %mkrel 	1

%define epoch	1

Summary: 	Enthought Tool Suite - AppTools project
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Epoch:		%{epoch}
Source0: 	%{tarname}-%{version}.tar.gz
Patch0:		setup.py.patch
License: 	BSD
Group: 	 	Development/Python
Url: 	 	http://code.enthought.com/projects/app_tools.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
Requires:  	python-enthought-enthoughtbase >= %{epoch}:3.0.4
Requires:  	python-enthought-envisagecore >= %{epoch}:3.1.2
Requires:  	python-enthought-etsdevtools >= %{epoch}:3.0.4
Requires:  	python-enthought-traits >= %{epoch}:3.3.0
Requires:  	python-enthought-traitsgui >= %{epoch}:3.3.0
Requires:  	python-configobj
Requires:  	python-numpy >= 1.1.0
BuildRequires: 	python-setuptools >= 0.6c8
BuildRequires:	python-setupdocs >= 1.0
BuildRequires: 	python-sphinx, python-docutils
%py_requires -d

%description
The Enthought Tool Suite includes a set of packages useful in creating
a number of applications. They implement functionality that is
commonly needed by many applications. These packages are distributed
together as the AppTools project:

* enthought.appscripting: Framework for scripting applications.
* enthought.help: Provides a plugin for displaying documents and examples
  and running demos in Evisage Workbench applications.
* enthought.io: Provides an abstraction for files and folders in a
  file system.
* enthought.naming: Manages naming contexts, supporting
  non-string data types and scoped preferences.
* enthoight.permissions: Supports limiting access to parts of an application 
  unless the user is appropriately authorized (not full-blown security).
* enthought.persistence: Supports pickling the state of a Python
  object to a dictionary, which can then be flexibly applied in
  restoring the state of the object.
* enthought.preferences: Manages application preferences.
* enthought.resource: Manages application resources such as images and sounds.
* enthought.rst: Tools and editors for working with reStructured Text.
* enthought.scripting: A framework for automatic recording of Python scripts.
* enthought.sweet_pickle: Handles class-level versioning, to support
  loading of saved data that exist over several generations of
  internal class structures.
* enthought.template: Supports creating templatizable object hierarchies.
* enthought.type_manager: Manages type extensions, including factories to 
  generate adapters, and hooks for methods and functions.
* enthought.undo: Supports undoing and scripting application commands.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p0

%build

%__python setup.py build
%__python setup.py build_docs --formats html

%install
%__rm -rf %{buildroot}

%__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc *.txt examples/ build/docs/html/



%changelog
* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.3.1-1mdv2010.0
+ Revision: 512022
- Update to 3.3.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.3.0-2mdv2010.0
+ Revision: 419283
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2010.0
+ Revision: 419029
- Update to 3.3.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.2.0-1mdv2010.0
+ Revision: 363843
- Update to 3.2.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-3mdv2009.1
+ Revision: 358005
- Rebuild with latest svn branch.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.1.0-2mdv2009.1
+ Revision: 323639
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 313498
- Update to 3.1.0.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.0-1mdv2009.1
+ Revision: 298877
- import python-enthought-apptools


